{--------------------------------------------------------}
{                                                        }
{    Grafivox - gerador de grficos para cegos           }
{                                                        }
{    Mdulo de mensagens                                 }
{                                                        }
{    Autor:  Jos Antonio Borges                         }
{                                                        }
{    Em agosto/2018                                      }
{                                                        }
{--------------------------------------------------------}

unit gffuncoes;

interface
uses
    dvcrt,
    dvWin,
    dvWav,
    windows,
    sysUtils,
    gfMsg,
    gfvars;

procedure defineEixoX;
procedure defineEixoY;
procedure defineOrigem;
procedure definePonto;
procedure defineReta (comSeta: boolean);
procedure defineRetangulo;
procedure definePoligono;
procedure defineCircunferencia;
procedure defineCurva;
procedure defineConica;
procedure defineModoDesenho;

implementation

uses
    dvForm;

procedure defineEixoX;
begin
    sintWrite ('Eixo X ');
    naoImplem;
end;

procedure defineEixoY;
begin
    sintWrite ('Eixo Y ');
    naoImplem;
end;

procedure defineOrigem;
begin
    sintWrite ('Origem ');
    naoImplem;
end;

{-----------------------------------------------------------}
{                   define novo ponto.                      }
{-----------------------------------------------------------}

procedure definePonto;
var
    s, nome: ShortString;
begin
    s := '';
    nome := '';
    limpaBaixo(3);
    textBackground (BLUE);
    mensagem ('GFDIGPON', 0);      { 'Dados do novo ponto' }
    textBackground (BLACK);
    writeln;

    garanteEspacoTela(2);

    tamRotulosForm := 35;

    formCria;
    formCampo('', pegaTextoMensagem('DFDIGCOORD'),s, 80); { 'Coordenadas separadas por vrgula' }
    formCampo('', pegaTextoMensagem('DFDIGNOME'),nome, MAXNOME); { 'Nome' }

    formEdita(True);

    tamRotulosForm := 30;

    listaComandos.Add('PT ' + s + ' ' + nome);
end;

{--------------------------------------------------------}
{                define uma reta ou seta                 }
{--------------------------------------------------------}

procedure defineReta (comSeta: boolean);
var
    si, sf, nome: ShortString;
begin
    si := '';
    sf := '';
    nome := '';

    limpaBaixo(3);
    textBackground (BLUE);
    if comSeta then
        mensagem ('GFDIGRETA', 0)       { 'Dados da nova reta' }
    else
        mensagem ('GFDIGSETA', 0);      { 'Dados da nova seta' }

    textBackground (BLACK);
    writeln;

    garanteEspacoTela(2);

    tamRotulosForm := 35;

    formCria;
    formCampo('', pegaTextoMensagem('DFDIGPTI'),si, 80); { 'Ponto inicial: nome ou coordenadas' }
    formCampo('', pegaTextoMensagem('DFDIGPTF'),sf, 80); { 'Ponto final:   nome ou coordenadas' }
    formCampo('', pegaTextoMensagem('DFDIGNOME'),nome, MAXNOME); { 'Nome' }

    formEdita(True);

    tamRotulosForm := 30;

    if comSeta then
        listaComandos.Add('ST ' + si + ' ' + sf + ' ' + nome)
    else
        listaComandos.Add('RT ' + si + ' ' + sf + ' ' + nome);
end;

{--------------------------------------------------------}
{                   define uma seta                      }
{--------------------------------------------------------}

procedure defineSeta;
begin
    sintWrite ('Seta ');
    naoImplem;
end;

{--------------------------------------------------------}
{                     define um retngulo                }
{--------------------------------------------------------}

procedure defineRetangulo;
begin
    sintWrite ('Retngulo ');
    naoImplem;
end;

{--------------------------------------------------------}
{                     define um polgono                 }
{--------------------------------------------------------}

procedure definePoligono;
begin
    sintWrite ('Polgono ');
    naoImplem;
end;

{--------------------------------------------------------}
{                define uma circunferncia               }
{--------------------------------------------------------}

procedure defineCircunferencia;
begin
    sintWrite ('Circunferncia ');
    naoImplem;
end;

{--------------------------------------------------------}
{                     define uma curva                   }
{--------------------------------------------------------}

procedure defineCurva;
begin
    sintWrite ('Curva ');
    naoImplem;
end;

{--------------------------------------------------------}
{                   define uma cnica                    }
{--------------------------------------------------------}

procedure defineConica;
begin
    sintWrite ('Cnica ');
    naoImplem;
end;

{--------------------------------------------------------}
{                 define o modo de desenho               }
{--------------------------------------------------------}

procedure defineModoDesenho;
begin
    sintWrite ('Modo de desenho ');
    naoImplem;
end;

end.
